#!/bin/sh
# ********************************************************************
# (C) Copyright IBM Corp.  2005-2006
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#********************************************************************


DB=$1
DBUSER=$2
DBPASS=$3
TBSCHEM=$4

usage() {
    echo -n "usage: bindall database connected-user connected-password tableschema"
    exit 1
}

err_schema() {
    echo -n "Schema name $TBSCHEM is undefined Provide the right schema name"
    exit 1
}

error_connect() {
		echo -n "One of the parameters specified to connect to the database is incorrect"
		exit 1
}

if [ "$DB" == "" ]; then
    usage
fi
if [ "$DBUSER" == "" ]; then
    usage
fi
if [ "$DBPASS" == "" ]; then
    usage
fi
if [ "$TBSCHEM" == "" ]; then
    usage
fi

db2 connect to $DB user $DBUSER using $DBPASS 
RETVAL=$?
if [ $RETVAL != 0 ]; then
  error_connect
fi

db2 "BIND Lev_inputDataDB.bnd                     ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM" 
db2 "BIND Lev_output.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND Lev_project.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND Lev_resolveDependencesDB.bnd            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND activities.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND alerts.bnd                              ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND api_support.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND app_costs.bnd                           ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND approval_ts.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND asset_func.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND assets.bnd                              ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND assign_str.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND attr2.bnd                               ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND attr_func.bnd                           ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND attributes.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND budgets.bnd                             ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND calendars.bnd                           ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND change_log.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND changeobjecttype.bnd                    ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND charge_back.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND chargecodes.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND client_func.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND clients.bnd                             ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND compet_func.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND competencies.bnd                        ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND contacts.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND contracts.bnd                           ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND cost_back.bnd                           ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND costs.bnd                               ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND cplan.bnd                               ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND cplan2.bnd                              ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND cplan_fd.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND cplan_fun.bnd                           ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND cri.bnd                                 ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND cri_func.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND currency.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND customfields.bnd                        ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND custom_dataset.bnd                      ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND datafields.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND db2_oracle.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND defaults.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND dependencies.bnd                        ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND doc_func.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND doc_fix.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND doc_move_func.bnd                       ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND document.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND domains.bnd                             ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND evalue.bnd                              ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND factors.bnd                             ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND favoriteactivities.bnd                  ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND fs_pmor.bnd                             ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND geographies.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND globalfunction.bnd                      ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND impexwbs.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND move_wbs.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND nab.bnd                                 ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND organizations.bnd                       ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND otf_cdy.bnd                             ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND pivots.bnd                              ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND pivots_func.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND pmo_stpu.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND pmotrace_sql.bnd                        ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND po_cs.bnd                               ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND poolreferences.bnd                      ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND pools.bnd                               ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND portal_page.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND reconciliation.bnd                      ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND report.bnd                              ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND res_back.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND resource.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND rollupdates.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND rtf.bnd                                 ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND rtf_func.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND sc_def.bnd                              ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND sc_def_func.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND scd_func.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND scenarios.bnd                           ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND scorecards.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND security.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND sessions.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND settings.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND staffing_request.bnd                    ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND statenotifyconfig.bnd                   ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND timecodes.bnd                           ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND timephase.bnd                           ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND timesheets.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND unassign_res.bnd                        ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND vendors.bnd                             ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND version.bnd                             ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views.bnd                               ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views_2pool.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views_bubbles.bnd                       ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views_cal.bnd                           ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views_costs.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views_cube01.bnd                        ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views_financial.bnd                     ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views_pivot.bnd                         ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views_pool.bnd                          ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views_ts.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND views_welcome.bnd                       ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND wbs.bnd                                 ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND wbs_ext.bnd                             ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND wbs_func.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND wkf_sched.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"
db2 "BIND workflow.bnd                            ISOLATION UR DATETIME ISO BLOCKING ALL QUALIFIER $TBSCHEM"



db2 connect reset

