
--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/

--spool custom_pivot_initdb.log
set autocommit on
column error format 999999999
exec set_dateformat;
var r refcursor;


delete from TMT_MASTER_DATASETS WHERE LEVEL_ID > -1;
delete from TMT_INHERITANCE_MDS WHERE LEVEL_ID > -1;
delete from WORKFLOW_PREDEF_COLUMNS WHERE LEVEL_ID > -1;
delete from TMT_CATEGORY_COLUMNS WHERE LEVEL_ID > -1;


exec :r:= SP_I_MDS('BASIC WBS',     		'SC_WBS_BASIC_MDS________________', null, null, 0, 1, null, 1, 'TMT_WBS', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('WBS ESTIMATED', 		'SC_WBS_ESTIMATED_MDS____________', null, 'SC_WBS_BASIC_MDS________________', 0, 1, null, 1, 'TMT_WBS', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('WBS PROJECTS',  		'SC_WBS_PROJECT_MDS______________', null, 'SC_WBS_ESTIMATED_MDS____________', 3, 1, null, 1, 'TMT_WBS', 'ELEMENT_ID', '(TYPE_ID IN (1, 154, 288))');
print r;
exec :r:= SP_I_MDS('WBS DELIVERABLES', 		'SC_WBS_DEL_MDS__________________', null, 'SC_WBS_ESTIMATED_MDS____________', 3, 1, null, 1, 'TMT_WBS', 'PROJECT_ID', '(TYPE_ID IN (2, 58, 60, 291))');
print r;
exec :r:= SP_I_MDS('WBS TASKS', 			'SC_WBS_TASK_MDS_________________', null, 'SC_WBS_BASIC_MDS________________', 3, 1, null, 1, 'TMT_WBS', 'PROJECT_ID', '(TYPE_ID IN (3, 59))');
print r;


	
exec :r:= SP_I_MDS('BASIC WBS ATTRIBUTES', 		'SC_WBS_BASIC_ATTRIBUTE_MDS______', null, null, 0, 2, null, 58, 'TMT_WBS_ATTRIBUTES', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('WBS ATTRIBUTES', 		'SC_WBS_ATTRIBUTES_______________', null, 'SC_WBS_BASIC_ATTRIBUTE_MDS______', 3, 2, null, 58, 'TMT_WBS_ATTRIBUTES', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('WBS CLASSIFICATIONS', 		'SC_WBS_ATTRIBUTES_CLASSIFICATION', null, 'SC_WBS_BASIC_ATTRIBUTE_MDS______', 0, 2, null, 58, 'TMT_WBS_ATTRIBUTES', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('WBS CATEGORIES', 		'SC_WBS_ATTRIBUTES_CATEGORY______', null, 'SC_WBS_BASIC_ATTRIBUTE_MDS______', 0, 2, null, 58, 'TMT_WBS_ATTRIBUTES', 'ELEMENT_ID', null);
print r;

exec :r:= SP_I_MDS('BASIC RESOURCES', 		'SC_BASIC_RESOURCES_MDS__________', null, null, 0, 1, null, 7, 'RESOURCES', 'RESOURCE_ID', null);
print r;
exec :r:= SP_I_MDS('RESOURCES', 			'SC_RESOURCES____________________', null, 'SC_BASIC_RESOURCES_MDS__________', 5, 1, null, 7, 'RESOURCES', 'RESOURCE_ID', null);
print r;

exec :r:= SP_I_MDS('WBS CRI CUSTOM FIELD', 		'SC_WBS_CRI_CUSTOM_FIELDS________', null, null, 0, 120, 'SC_WBS_CRI_CUSTOM_FIELD_FOLDER__', 120, 'TMT_CUSTOM_FIELDS', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('WBS DOC CUSTOM FIELD', 		'SC_DOC_CUSTOM_FIELDS____________', null, null, 0, 120, 'SC_DOCUMENT_CUSTOM_FIELD_FOLDER_', 120, 'TMT_CUSTOM_FIELDS', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('WBS RES CUSTOM FIELD', 		'SC_RES_CUSTOM_FIELDS____________', null, null, 0, 120, 'SC_RESOURCE_CUSTOM_FIELD_FOLDER_', 120, 'TMT_CUSTOM_FIELDS', 'ELEMENT_ID', null);
print r;

exec :r:= SP_I_MDS('PROJECT RTF', 			'SC_PROJECT_RTF_MDS______________', null, null, 0, 122, '261', 122, 'WBS_RTF', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('WBS DELIVERABLE RTF', 		'SC_WBS_DELIVERABLE_RTF_MDS______', null, null, 0, 122, '262', 122, 'WBS_RTF', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('WBS TASK RTF', 			'SC_WBS_TASK_RTF_MDS_____________', null, null, 0, 122, '266', 122, 'WBS_RTF', 'ELEMENT_ID', null);
print r;

exec :r:= SP_I_MDS('BASIC CRI',     		'SC_CRI_BASIC_MDS________________', null, null, 0, 1, null, 1, 'TMT_CRI', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('SCOPE MANAGEMENT', 		'SC_CRI_MDS______________________', null, 'SC_CRI_BASIC_MDS________________', 0, 1, null, 3, 'TMT_CRI', 'ELEMENT_ID', '(TYPE_ID NOT IN (145, 64))');
print r;


INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_BASIC_MDS________________', 'SC_CATEGORY_FOR_WBS_____________');
INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_BASIC_MDS________________', 'SC_CATEGORY_FOR_WBS_DATES_______');
INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_BASIC_MDS________________', 'SC_CATEGORY_FOR_WBS_BUDGET______');

INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_ESTIMATED_MDS____________', 'SC_CATEGORY_FOR_WBS_EST_DATES___');
INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_ESTIMATED_MDS____________', 'SC_CATEGORY_FOR_WBS_EST_BUDGET__');

INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_PROJECT_MDS______________', 'SC_CATEGORY_FOR_PROJECT_DETAILS_');
INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_DEL_MDS__________________', 'SC_CATEGORY_FOR_WBS_DELIVERABLE_');
INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_TASK_MDS_________________', 'SC_CATEGORY_FOR_WBS_TASKS_______');

INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_BASIC_ATTRIBUTE_MDS______', 'SC_CATEGORY_FOR_BASIC_WBS_ATTR__');
INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_ATTRIBUTES_______________', 'SC_CATEGORY_FOR_WBS_ATTRIBUTE___');
INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_ATTRIBUTES_CLASSIFICATION', 'SC_CATEGORY_FOR_WBS_ATTR_CLASS__');
INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_WBS_ATTRIBUTES_CATEGORY______', 'SC_CATEGORY_FOR_WBS_ATTR_CATEG__');

INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_RESOURCES____________________', 'SC_CATEGORY_FOR_RESOURCE________');



exec :r:= SP_I_CAT('WBS BASIC COLUMNS', 		'SC_CATEGORY_FOR_WBS_____________', null, 64, null);
print r;
exec :r:= SP_I_CAT('WBS NAME', 			'SC_CATEG_WBS_ELEMENT_NAME_______', 'SC_CATEGORY_FOR_WBS_____________', 342, 'SC_WBS_ELEMENT_NAME_');
print r;
exec :r:= SP_I_CAT('WBS CREATOR', 			'SC_CATEG_WBS_CREATED_BY_________', 'SC_CATEGORY_FOR_WBS_____________', 342, 'SC_WBS_CREATED_BY___');
print r;
exec :r:= SP_I_CAT('WBS CRI CUSTOM FIELD', 		'SC_CATEG_WBS_CRI_CF_____________', 'SC_CATEGORY_FOR_WBS_____________', 342, 'SC_WBS_CRI_CF_______');
print r;
exec :r:= SP_I_CAT('WBS ASSIGNED ATTRIBUTE', 	'SC_CATEG_WBS_ASSIGNED_ATTRIBUTE_', 'SC_CATEGORY_FOR_WBS_____________', 342, 'SC_WBS_ASSIGNED_ATTR');
print r;
exec :r:= SP_I_CAT('BUDGET_BY_CHARGECODE', 		'SC_CATEG_WBS_FUNCTIONS__________', 'SC_CATEGORY_FOR_WBS_____________', 342, 'SC_BUDGET_BY_CC_____');
print r;

exec :r:= SP_I_CAT('WBS DATES', 			'SC_CATEGORY_FOR_WBS_DATES_______', null, 64, null);
print r;
exec :r:= SP_I_CAT('CONSTRAINT_DT', 		'SC_CATEG_FOR_WBS_CONSTRAINT_DT__', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_CONSTRAINT_DT');
print r;
exec :r:= SP_I_CAT('START_DT', 			'SC_CATEG_FOR_WBS_START_DT_______', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_START_DT_____');
print r;
exec :r:= SP_I_CAT('FINISH_DT', 			'SC_CATEG_FOR_WBS_FINISH_DT______', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_FINISH_DT____');
print r;
exec :r:= SP_I_CAT('PLANNED_START', 		'SC_CATEG_FOR_WBS_PLANNED_START__', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_PLANNED_SD___');
print r;
exec :r:= SP_I_CAT('PLANNED_FINISH', 		'SC_CATEG_FOR_WBS_PLANNED_FINISH_', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_PLANNED_FD___');
print r;
exec :r:= SP_I_CAT('PROPOSED_START', 		'SC_CATEG_FOR_WBS_PROPOSED_START_', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_PROPOSED_SD__');
print r;
exec :r:= SP_I_CAT('PROPOSED_FINISH', 		'SC_CATEG_FOR_WBS_PROPOSED_FINISH', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_PROPOSED_FD__');
print r;
exec :r:= SP_I_CAT('SCHED_START', 			'SC_CATEG_FOR_WBS_SCHED_START____', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_SCHED_SD_____');
print r;
exec :r:= SP_I_CAT('SCHED_FINISH', 			'SC_CATEG_FOR_WBS_SCHED_FINISH___', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_SCHED_FD_____');
print r;
exec :r:= SP_I_CAT('FORECAST_START', 		'SC_CATEG_FOR_WBS_FORECAST_START_', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_FORECAST_SD__');
print r;
exec :r:= SP_I_CAT('FORECAST_FINISH', 		'SC_CATEG_FOR_WBS_FORECAST_FINISH', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_FORECAST_FD__');
print r;
exec :r:= SP_I_CAT('ACTUAL_START', 			'SC_CATEG_FOR_WBS_ACTUAL_START___', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_ACTUAL_SD____');
print r;
exec :r:= SP_I_CAT('ACTUAL_FINISH', 		'SC_CATEG_FOR_WBS_ACTUAL_FINISH__', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_ACTUAL_FD____');
print r;
exec :r:= SP_I_CAT('CLOSED_DATETIME', 		'SC_CATEG_FOR_WBS_CLOSED_DT______', 'SC_CATEGORY_FOR_WBS_DATES_______', 342, 'SC_WBS_CLOSED_DT____');
print r;

exec :r:= SP_I_CAT('WBS ESTIMATED DATES', 		'SC_CATEGORY_FOR_WBS_EST_DATES___', null, 64, null);
print r;
exec :r:= SP_I_CAT('START_FINISH_DATE', 		'SC_CATEG_WBS_EST_START_DATE_____', 'SC_CATEGORY_FOR_WBS_EST_DATES___', 342, 'SC_WBS_SD_FD________');
print r;
exec :r:= SP_I_CAT('FINISH_START_DATE', 		'SC_CATEG_WBS_EST_FINISH_DATE____', 'SC_CATEGORY_FOR_WBS_EST_DATES___', 342, 'SC_WBS_FD_SD________');
print r;

exec :r:= SP_I_CAT('WBS BUDGETS', 			'SC_CATEGORY_FOR_WBS_BUDGET______', null, 64, null);
print r;
exec :r:= SP_I_CAT('BUDGET', 			'SC_CATEG_WBS_CURRENT_BUDGET_____', 'SC_CATEGORY_FOR_WBS_BUDGET______', 342, 'SC_WBS_BUDGET_______');
print r;
exec :r:= SP_I_CAT('ACTUAL BUDGET', 		'SC_CATEG_WBS_ACTUAL_BUDGET______', 'SC_CATEGORY_FOR_WBS_BUDGET______', 342, 'SC_WBS_ACTUAL_BUDGET');
print r;

exec :r:= SP_I_CAT('WBS ESTIMATED BUDGETS', 	'SC_CATEGORY_FOR_WBS_EST_BUDGET__', null, 64, null);
print r;
exec :r:= SP_I_CAT('ESTIMATED BUDGET', 		'SC_CATEG_WBS_ESTIMATED_BUDGET___', 'SC_CATEGORY_FOR_WBS_EST_BUDGET__', 342, 'SC_WBS_EST_BUDGET___');
print r;
exec :r:= SP_I_CAT('ESTIMATED ACTUAL BUDGET',	'SC_WBS_CATEG_EST_ACTUAL_BUDGET__', 'SC_CATEGORY_FOR_WBS_EST_BUDGET__', 342, 'SC_WBS_EST_A_BUDGET_');
print r;

exec :r:= SP_I_CAT('PROJECT DETAILS', 		'SC_CATEGORY_FOR_PROJECT_DETAILS_', null, 64, null);
print r;
exec :r:= SP_I_CAT('WBS PROJECT RTFS', 		'SC_CATEG_WBS_PROJECT_RTF________', 'SC_CATEGORY_FOR_PROJECT_DETAILS_', 342, 'SC_WBS_PRJ_RTF_COL__');
print r;

exec :r:= SP_I_CAT('WBS DELIVERABLES', 		'SC_CATEGORY_FOR_WBS_DELIVERABLE_', null, 64, null);
print r;
exec :r:= SP_I_CAT('WBS DELIVERABLE RTFS', 		'SC_CATEG_WBS_DELIVERABLE_RTF____', 'SC_CATEGORY_FOR_WBS_DELIVERABLE_', 342, 'SC_WBS_DEL_RTF_COL__');
print r;

exec :r:= SP_I_CAT('WBS TASKS', 			'SC_CATEGORY_FOR_WBS_TASKS_______', null, 64, null);
print r;
exec :r:= SP_I_CAT('WBS TASK RTFS', 		'SC_CATEG_WBS_TASK_RTF___________', 'SC_CATEGORY_FOR_WBS_TASKS_______', 342, 'SC_WBS_TASK_RTF_COL_');
print r;

exec :r:= SP_I_CAT('RESOURCE CATEGORY', 		'SC_CATEGORY_FOR_RESOURCE________', null, 64, null);
print r;
exec :r:= SP_I_CAT('RESOURCE FULL NAME', 		'SC_CATEG_RESOURCE_FULL_NAME_____', 'SC_CATEGORY_FOR_RESOURCE________', 342, 'SC_RES_FULL_NAME____');
print r;

exec :r:= SP_I_CAT('WBS BASIC ASSIGNED ATTRIBUTE', 	'SC_CATEGORY_FOR_BASIC_WBS_ATTR__', null, 64, null);
print r;
exec :r:= SP_I_CAT('WBS ATTRIBUTE NAME', 		'SC_CATEG_WBS_ASSIGNED_ATTR_NAME_', 'SC_CATEGORY_FOR_BASIC_WBS_ATTR__', 342, 'SC_WBS_ATTR_NAME____');
print r;

exec :r:= SP_I_CAT('WBS ASSIGNED ATTRIBUTE', 	'SC_CATEGORY_FOR_WBS_ATTRIBUTE___', null, 64, null);
print r;
exec :r:= SP_I_CAT('WBS ATTRIBUTE CLASSIFICATION', 	'SC_CATEG_WBS_ASSIGNED_ATTR_CLASS', 'SC_CATEGORY_FOR_WBS_ATTRIBUTE___', 342, 'SC_WBS_ATTR_CLASS___');
print r;

exec :r:= SP_I_CAT('WBS ATTRIBUTE CLASSIFICATION', 	'SC_CATEGORY_FOR_WBS_ATTR_CLASS__', null, 64, null);
print r;
exec :r:= SP_I_CAT('WBS ATTRIBUTE CATEGORY', 	'SC_CATEG_WBS_ASSIGNED_ATTR_CATEG', 'SC_CATEGORY_FOR_WBS_ATTR_CLASS__', 342, 'SC_WBS_ATTR_CATEG___');
print r;

exec :r:= SP_I_CAT('WBS ATTRIBUTE CATEGORY', 	'SC_CATEGORY_FOR_WBS_ATTR_CATEG__', null, 64, null);
print r;

exec :r:= SP_I_COL('Project RTFs', 			'SC_WBS_PRJ_RTF_COL__', null, 122, 15, 0, 0, 0, 0, 1, 'SC_PROJECT_RTF_MDS______________', 'SC_WBS_ELEMENT_ID___ = SC_WBS_ELEMENT_ID___', null, 'CLOB_DATA', null);
print r;
exec :r:= SP_I_COL('Deliverable RTFs', 		'SC_WBS_DEL_RTF_COL__', null, 122, 15, 0, 0, 0, 0, 1, 'SC_WBS_DELIVERABLE_RTF_MDS______', 'SC_WBS_ELEMENT_ID___ = SC_WBS_ELEMENT_ID___', null, 'CLOB_DATA', null);
print r;
exec :r:= SP_I_COL('Task RTFs', 			'SC_WBS_TASK_RTF_COL_', null, 122, 15, 0, 0, 0, 0, 1, 'SC_WBS_TASK_RTF_MDS_____________', 'SC_WBS_ELEMENT_ID___ = SC_WBS_ELEMENT_ID___', null, 'CLOB_DATA', null);
print r;

exec :r:= SP_I_COL('Element Name', 		'SC_WBS_ELEMENT_NAME_', null, 1, 4, 0, 7, 0, 0, 0, null, null, null, 'ELEMENT_NAME', null);
print r;
exec :r:= SP_I_COL('Element ID', 		'SC_WBS_ELEMENT_ID___', null, 1, 15, 0, 0, 0, 0, 0, null, null, null, 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_COL('Type ID', 		'SC_WBS_TYPE_ID______', null, 1, 2, 0, 0, 0, 0, 0, null, null, null, 'TYPE_ID', null);
print r;
exec :r:= SP_I_COL('Work/Scope Management Custom Fields', 	'SC_WBS_CRI_CF_______', null, 120, 15, 0, 0, 0, 0, 1, 'SC_WBS_CRI_CUSTOM_FIELDS________', 'SC_WBS_ELEMENT_ID___ = SC_WBS_ELEMENT_ID___', null, 'FIELD_VALUE', null);
print r;

exec :r:= SP_I_COL('Budget', 		'SC_WBS_BUDGET_______', null, 1, 3, 0, 7, 0, 0, 0, null, null, null, 'CURRENT_BUDGET', null);
print r;
exec :r:= SP_I_COL('Actual Budget', 		'SC_WBS_ACTUAL_BUDGET', null, 1, 3, 0, 7, 0, 0, 0, null, null, null, 'ACTUAL_BUDGET', null);
print r;

exec :r:= SP_I_COL('Estimated Budget', 	'SC_WBS_EST_BUDGET___', null, 1, 3, 0, 3, 0, 0, 0, null, null, null, 'ESTIMATION_BUDGET', null);
print r;
exec :r:= SP_I_COL('Estimated Actual', 	'SC_WBS_EST_A_BUDGET_', null, 1, 3, 0, 3, 0, 0, 0, null, null, null, 'ESTIMATED_ACTUAL', null);
print r;

exec :r:= SP_I_COL('Project Types', 		'SC_WBS_PROJECT_TYPES', null, 1, 11, 0, 1, 0, 0, 0, null, null, 'Project=1;Proposal=154;Organization=288', 'TYPE_ID', null);
print r;
exec :r:= SP_I_COL('Project States', 	'SC_PROJECT_STATE_ID_', null, 1, 7, 0, 1, 0, 0, 0, null, null, '12', 'STAGE_ID', null);
print r;

exec :r:= SP_I_COL('Budget by Chargecode', 	'SC_BUDGET_BY_CC_____', null, 0, 10, 0, 7, 8, 116, 0, null, null, null, '((SELECT COUNT(*) FROM BUDGETS WHERE ELEMENT_ID = ''%EID'' AND CHARGECODE_ID IN %1 AND %2) > 0)', null);
print r;
exec :r:= SP_I_COL('Chargecode', 		'SC_BUDGET_CC_PARAM__', 'SC_BUDGET_BY_CC_____', 0, 9, 0, 7, 8, 116, 0, null, null, 'TMT_CHARGECODES', '%1', null);
print r;
exec :r:= SP_I_COL('Budget Conditions', 	'SC_BUDGET_CC_QUERY__', 'SC_BUDGET_BY_CC_____', 0, 13, 0, 7, 8, 116, 0, null, null, null, '%2', null);
print r;

exec :r:= SP_I_COL('Budget Folder', 		'SC_BUDGET_FOLDER____', null, 0, 8, 0, 0, 0, 0, 0, null, null, null, null, null);
print r;
exec :r:= SP_I_COL('Budget', 		'SC_BUDGET_AMOUNT____', 'SC_BUDGET_FOLDER____', 116, 3, 0, 8, 0, 0, 0, null, null, null, 'BUDGET', null);
print r;

exec :r:= SP_I_COL('Custom Field Folder', 	'SC_C_FIELD_FOLDER___', null, 0, 8, 0, 0, 0, 0, 0, null, null, null, null, null);
print r;
exec :r:= SP_I_COL('SC_WBS_CRI_CUSTOM_FIELDS_STRING', 	'SC_WBS_CRI_CF_STRING', 'SC_C_FIELD_FOLDER___', 0, 0, 0, 0, 0, 0, 0, null, null, null, 'COALESCE((SELECT FIELD_VALUE FROM TMT_WBS_CRI_CUSTOM_FIELDS WHERE FOREIGN_ID = %1 and FIELD_ID= %2),(SELECT CASE WHEN DEFAULT_VALUE IS NOT NULL THEN DEFAULT_VALUE WHEN FIELD_TYPE_ID = 2 THEN ''1899-01-01'' ELSE '''' END FROM TMT_CUSTOM_FIELDS WHERE ELEMENT_ID = %2))', null);
print r;
exec :r:= SP_I_COL('SC_WBS_CRI_CUSTOM_FIELDS_DECIMAL', 	'SC_WBS_CRI_CF_DEC___', 'SC_C_FIELD_FOLDER___', 0, 0, 0, 0, 0, 0, 0, null, null, null, 'PMO_ORASTD.TODECIMAL(COALESCE((SELECT FIELD_VALUE FROM TMT_WBS_CRI_CUSTOM_FIELDS WHERE FOREIGN_ID = %1 and FIELD_ID= %2),(SELECT COALESCE(DEFAULT_VALUE,''0'') FROM TMT_CUSTOM_FIELDS WHERE ELEMENT_ID = %2)),18,2)', null);
print r;
exec :r:= SP_I_COL('SC_DOCUMENT_CUSTOM_FIELDS_STRING', 	'SC_TMT_DOC_CF_STRING', 'SC_C_FIELD_FOLDER___', 0, 0, 0, 0, 0, 0, 0, null, null, null, 'COALESCE((SELECT FIELD_VALUE FROM TMT_DOC_CUSTOM_FIELDS WHERE FOREIGN_ID = %1 and FIELD_ID= %2),(SELECT CASE WHEN DEFAULT_VALUE IS NOT NULL THEN DEFAULT_VALUE WHEN FIELD_TYPE_ID = 2 THEN ''1899-01-01'' ELSE '''' END FROM TMT_CUSTOM_FIELDS WHERE ELEMENT_ID = %2))', null);
print r;
exec :r:= SP_I_COL('SC_DOCUMENT_CUSTOM_FIELDS_DECIMAL', 	'SC_TMT_DOC_CF_DEC___', 'SC_C_FIELD_FOLDER___', 0, 0, 0, 0, 0, 0, 0, null, null, null, 'PMO_ORASTD.TODECIMAL(COALESCE((SELECT FIELD_VALUE FROM TMT_DOC_CUSTOM_FIELDS WHERE FOREIGN_ID = %1 and FIELD_ID= %2),(SELECT COALESCE(DEFAULT_VALUE,''0'') FROM TMT_CUSTOM_FIELDS WHERE ELEMENT_ID = %2)),18,2)', null);
print r;

exec :r:= SP_I_COL('Creator', 		'SC_WBS_CREATED_BY___', null, 1, 15, 0, 0, 0, 0, 1, 'SC_RESOURCES____________________', 'SC_WBS_CREATED_BY___ = SC_RESOURCE_ID______', null, 'CREATED_BY', null);
print r;
exec :r:= SP_I_COL('Assigned Attributes', 	'SC_WBS_ASSIGNED_ATTR', null, 1, 15, 0, 0, 0, 0, 2, 'SC_WBS_ATTRIBUTES_______________', 'SC_WBS_ELEMENT_ID___ = SC_WBS_ATTR_ID______', null, null, 'SC_WBS_TYPE_ID______');
print r;

exec :r:= SP_I_COL('Resource ID', 		'SC_RESOURCE_ID______', null, 7, 15, 0, 0, 0, 0, 0, null, null, null, 'RESOURCE_ID', null);
print r;
exec :r:= SP_I_COL('Full Name', 		'SC_RES_FULL_NAME____', null, 7, 4, 0, 0, 0, 0, 0, null, null, null, 'FULL_NAME', null);
print r;
exec :r:= SP_I_COL('Attribute ID', 		'SC_WBS_ATTR_ID______', null, 58, 15, 0, 0, 0, 0, 0, null, null, null, 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_COL('Attribute Name', 	'SC_WBS_ATTR_NAME____', null, 58, 4, 1, 0, 0, 0, 0, null, null, null, 'ELEMENT_NAME', null);
print r;
exec :r:= SP_I_COL('Attribute Value', 	'SC_WBS_ATTR_VALUE___', null, 58, 4, 0, 0, 0, 0, 0, null, null, null, 'DESCRIPTION', null);
print r;
exec :r:= SP_I_COL('Attribute Classification', 		'SC_WBS_ATTR_CLASS___', null, 58, 4, 1, 0, 0, 0, 1, 'SC_WBS_ATTRIBUTES_CLASSIFICATION', 'SC_WBS_ATTR_ID______ = SC_WBS_ATTR_PID_____', null, 'ELEMENT_NAME', null);
print r;
exec :r:= SP_I_COL('Attribute Category',	'SC_WBS_ATTR_CATEG___', null, 58, 4, 1, 0, 0, 0, 1, 'SC_WBS_ATTRIBUTES_CATEGORY______', 'SC_WBS_ATTR_ID______ = SC_WBS_ATTR_PID_____', null, 'ELEMENT_NAME', null);
print r;
exec :r:= SP_I_COL('Attribute Parent ID', 	'SC_WBS_ATTR_PID_____', null, 58, 15, 1, 0, 0, 0, 0, null, null, null, 'ELEMENT_ID', null);
print r;


exec :r:= SP_I_COL('Estimated Start',	'SC_WBS_SD_FD________', null, 1, 5, 0, 3, 0, 0, 0, null, null, null, 'START_FINISH_DATE'          , null);        
print r;
exec :r:= SP_I_COL('Estimated Finish',	'SC_WBS_FD_SD________', null, 1, 5, 0, 3, 0, 0, 0, null, null, null, 'FINISH_START_DATE'          , null);	                                                                                                                  
print r;
exec :r:= SP_I_COL('Constraint Date',	'SC_WBS_CONSTRAINT_DT', null, 1, 14, 0, 4, 0, 0, 0, null, null, null, 'CONSTRAINT_DT'              , null);   
print r;
exec :r:= SP_I_COL('Start',			'SC_WBS_START_DT_____', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'START_DT'                   , null);   
print r;
exec :r:= SP_I_COL('Finish',			'SC_WBS_FINISH_DT____', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'FINISH_DT'                  , null);   
print r;
exec :r:= SP_I_COL('Proposed Start',		'SC_WBS_PLANNED_SD___', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'PLANNED_START'              , null);   
print r;
exec :r:= SP_I_COL('Proposed Finish',	'SC_WBS_PLANNED_FD___', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'PLANNED_FINISH'             , null);   
print r;
exec :r:= SP_I_COL('Expected Start',		'SC_WBS_PROPOSED_SD__', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'PROPOSED_START'             , null);   
print r;
exec :r:= SP_I_COL('Expected Finish',	'SC_WBS_PROPOSED_FD__', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'PROPOSED_FINISH'            , null);   
print r;
exec :r:= SP_I_COL('Plan Start',		'SC_WBS_SCHED_START__', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'SCHED_START'                , null);   
print r;
exec :r:= SP_I_COL('Plan Finish',		'SC_WBS_SCHED_FINISH_', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'SCHED_FINISH'               , null);   
print r;
exec :r:= SP_I_COL('Forecast Start',		'SC_WBS_FORECAST_SD__', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'FORECAST_START'             , null);   
print r;
exec :r:= SP_I_COL('Forecast Finish',	'SC_WBS_FORECAST_FD__', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'FORECAST_FINISH'            , null);   
print r;
exec :r:= SP_I_COL('Actual Start',		'SC_WBS_ACTUAL_START_', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'ACTUAL_START'               , null);   
print r;
exec :r:= SP_I_COL('Actual Finish',		'SC_WBS_ACTUAL_FINISH', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'ACTUAL_FINISH'              , null);   
print r;
exec :r:= SP_I_COL('Closed Date',		'SC_WBS_CLOSED_DT____', null, 1, 14, 0, 7, 0, 0, 0, null, null, null, 'CLOSED_DATETIME'            , null);   
print r;



exec :r:= SP_I_COL('Element Name', 		'SC_CRI_ELEMENT_NAME_', null, 3, 4, 0, 2032, 0, 0, 0, null, null, null, 'ELEMENT_NAME', null);
print r;
exec :r:= SP_I_COL('Element ID', 		'SC_CRI_ELEMENT_ID___', null, 3, 15, 0, 0, 0, 0, 0, null, null, null, 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_COL('Type ID', 		'SC_CRI_TYPE_ID______', null, 3, 2, 0, 0, 0, 0, 1, 'SC_SCOPE_TYPE_NAMES_MDS_________', 'SC_CRI_TYPE_ID______ = SC_MAPPING_TYPE_ID__', null, 'TYPE_ID', null);
print r;

exec :r:= SP_I_MDS('BASIC DATAFIELD',     		'SC_DATAFIELD_BASIC_MDS__________', null, null, 0, 1, null, 40, 'TMT_DATAFIELDS', 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_MDS('STAGES', 			'SC_STAGE_MDS____________________', null, 'SC_DATAFIELD_BASIC_MDS__________', 0, 1, null, 40, 'TMT_DATAFIELDS', 'ELEMENT_ID', null);
print r;


exec :r:= SP_I_COL('Datafield ID', 		'SC_DATAFIELD_ID_____', null, 40, 2, 0, 0, 0, 0, 0, null, null, null, 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_COL('Datafield Name', 	'SC_DATAFIELD_NAME___', null, 40, 4, 0, 0, 0, 0, 0, null, null, null, 'ELEMENT_NAME', null);
print r;
exec :r:= SP_I_COL('Datafield Description', 	'SC_DATAFIELD_DESC___', null, 40, 4, 0, 0, 0, 0, 0, null, null, null, 'DESCRIPTION', null);
print r;

exec :r:= SP_I_COL('State', 			'SC_WBS_STAGE_ID_____', null, 1, 2, 0, 0, 0, 0, 1, 'SC_STAGE_MDS____________________', 'SC_WBS_STAGE_ID_____ = SC_DATAFIELD_ID_____', null, 'STAGE_ID', null);
print r;

exec :r:= SP_I_CAT('WBS STAGE', 		'SC_CATEG_WBS_STAGE______________', 'SC_CATEGORY_FOR_WBS_____________', 342, 'SC_WBS_STAGE_ID_____');
print r;

exec :r:= SP_I_CAT('DATAFIELD BASIC COLUMNS', 	'SC_CATEGORY_FOR_DATAFIELD_______', null, 64, null);
print r;
exec :r:= SP_I_CAT('DATAFIELD NAME', 		'SC_CATEG_DATAFIELD_NAME_________', 'SC_CATEGORY_FOR_DATAFIELD_______', 342, 'SC_DATAFIELD_NAME___');
print r;
exec :r:= SP_I_CAT('DATAFIELD DESCRIPTION', 	'SC_CATEG_DATAFIELD_DESCRIPTION__', 'SC_CATEGORY_FOR_DATAFIELD_______', 342, 'SC_DATAFIELD_DESC___');
print r;

INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_DATAFIELD_BASIC_MDS__________', 'SC_CATEGORY_FOR_DATAFIELD_______');

exec :r:= SP_I_COL('Project ID', 	'SC_WBS_PROJECT_ID___', null, 1, 15, 0, 0, 0, 0, 1, 'SC_CRI_MDS______________________', 'SC_WBS_PROJECT_ID___ = SC_CRI_PROJECT_ID___', null, 'PROJECT_ID', null);
print r;
exec :r:= SP_I_CAT('Project Scope', 	'SC_CATEG_PROJECT_SCOPE__________', 'SC_CATEGORY_FOR_PROJECT_DETAILS_', 342, 'SC_WBS_PROJECT_ID___');
print r;


exec :r:= SP_I_COL('Creator', 	'SC_CRI_CREATED_BY___', null, 4, 15, 0, 0, 0, 0, 1, 'SC_RESOURCES____________________', 'SC_CRI_CREATED_BY___ = SC_RESOURCE_ID______', null, 'CREATED_BY', null);
print r;
exec :r:= SP_I_COL('Project ID', 	'SC_CRI_PROJECT_ID___', null, 4, 15, 0, 0, 0, 0, 0, null, null, null, 'PROJECT_ID', null);
print r;

INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_CRI_BASIC_MDS________________', 'SC_CATEGORY_FOR_CRI_____________');

exec :r:= SP_I_CAT('SCOPE BASIC COLUMNS', 	'SC_CATEGORY_FOR_CRI_____________', null, 64, null);
print r;
exec :r:= SP_I_CAT('SCOPE NAME', 		'SC_CATEG_CRI_ELEMENT_NAME_______', 'SC_CATEGORY_FOR_CRI_____________', 342, 'SC_CRI_ELEMENT_NAME_');
print r;
exec :r:= SP_I_CAT('SCOPE CREATOR', 		'SC_CATEG_CRI_CREATED_BY_________', 'SC_CATEGORY_FOR_CRI_____________', 342, 'SC_CRI_CREATED_BY___');
print r;


exec :r:= SP_I_CAT('SCOPE TYPE NAMES', 	'SC_CATEG_TYPE_MAPPING_ID________', 'SC_CATEGORY_FOR_CRI_____________', 342, 'SC_CRI_TYPE_ID______');
print r;

exec :r:= SP_I_MDS('SCOPE TYPE NAMES', 	'SC_SCOPE_TYPE_NAMES_MDS_________', null, null, 0, 1, null, 300, 'CRI_TYPES', 'ELEMENT_ID', null);
print r;

exec :r:= SP_I_COL('SCOPE MAPPING TYPE ID', 'SC_MAPPING_TYPE_ID__', null, 300, 2, 0, 0, 0, 0, 0, null, null, null, 'ELEMENT_ID', null);
print r;
exec :r:= SP_I_COL('SCOPE TYPE NAME', 	'SC_SCOPE_TYPE_NAME__', null, 300, 4, 0, 0, 0, 0, 0, null, null, null, 'ELEMENT_NAME', null);
print r;

exec :r:= SP_I_CAT('SCOPE TYPE MAPPING', 	'SC_CATEGORY_FOR_CRI_TYPE_MAPPING', null, 64, null);
print r;
exec :r:= SP_I_CAT('SCOPE TYPE NAME', 	'SC_CATEG_TYPE_MAPPING_NAME______', 'SC_CATEGORY_FOR_CRI_TYPE_MAPPING', 342, 'SC_SCOPE_TYPE_NAME__');
print r;

INSERT INTO MDS_CATEGORY (MDS_ID, CATEGORY_ID) VALUES('SC_SCOPE_TYPE_NAMES_MDS_________', 'SC_CATEGORY_FOR_CRI_TYPE_MAPPING');

exec :r:= SP_I_COL('Risk Exposure %', 	'SC_CRI_EXPOSURE_PERC', null, 3, 2, 0, 0, 0, 0, 0, null, null, null, 'EXPOSURE_ID', null);
print r;
exec :r:= SP_I_COL('Last Modified Date', 	'SC_CRI_REC_DT_______', null, 3, 14, 0, 0, 0, 0, 0, null, null, null, 'REC_DATETIME', null);
print r;

exec :r:= SP_I_CAT('Risk Exposure %', 	'SC_CATEG_CRI_EXPOSURE_PERCENT___', 'SC_CATEGORY_FOR_CRI_____________', 342, 'SC_CRI_EXPOSURE_PERC');
print r;
exec :r:= SP_I_CAT('Last Modified Date', 	'SC_CATEG_CRI_REC_DATETIME_______', 'SC_CATEGORY_FOR_CRI_____________', 342, 'SC_CRI_REC_DT_______');
print r;

exec :r:= SP_I_COL('Ref #', 			'SC_WBS_REF_CODE_____', null, 1, 4, 0, 7, 0, 0, 0, NULL, NULL, NULL, 'REF_CODE', NULL);                                                                                                                                                                                                                            
print r;
exec :r:= SP_I_COL('Percentage Complete', 	'W_MILESTONE_PERCENT_', null, 1, 2, 0, 7, 0, 0, 0, NULL, NULL, NULL, 'MILESTONE_PERCENT', NULL);                                                                                                                                                                                                  
print r;
exec :r:= SP_I_COL('Priority', 		'SC_WBS_PRIORITY_____', null, 1, 2, 0, 7, 0, 0, 0, NULL, NULL, NULL, 'PRIORITY', NULL);                                                                                                                                                                                                                      
print r;
exec :r:= SP_I_COL('External Identifier', 	'SC_WBS_EXTERNAL_ID__', null, 1, 4, 0, 7, 0, 0, 0, NULL, NULL, NULL, 'EXTERNAL_ID', NULL);                                                                                                                                                                                                                   
print r;
exec :r:= SP_I_COL('Deliverable States', 	'SC_WBS_DEL_STAGE_ID_', null, 1, 7, 0, 2, 0, 0, 0, null, null, '119', 'STAGE_ID', null);
print r;
exec :r:= SP_I_COL('Task States', 		'SC_WBS_TASK_STAGE_ID', null, 1, 7, 0, 4, 0, 0, 0, null, null, '120', 'STAGE_ID', null);
print r;

exec :r:= SP_I_COL('Priority', 		'SC_CRI_PRIORITY_____', null, 3, 2, 0, 2032, 0, 0, 0, NULL, NULL, NULL, 'PRIORITY', NULL);                                                                                                                                                                                                                      
print r;
exec :r:= SP_I_COL('Rank', 			'SC_CRI_PRIORITY_ID__', null, 3, 2, 0, 2032, 0, 0, 0, NULL, NULL, NULL, 'PRIORITY_ID', NULL);                                                                                                                                                                                                                          
print r;
exec :r:= SP_I_COL('Reference', 		'C_REFERENCE_NUMBER__', null, 3, 2, 0, 2032, 0, 0, 0, NULL, NULL, NULL, 'REFERENCE_NUMBER', NULL);                                                                                                                                                                                                             
print r;
exec :r:= SP_I_COL('External Ref #', 	'C_EXTERNAL_REFERENCE', null, 3, 4, 0, 2032, 0, 0, 0, NULL, NULL, NULL, 'EXTERNAL_REFERENCE', NULL);                                                                                                                                                                                                      
print r;
exec :r:= SP_I_COL('Client Name', 		'SC_CRI_CLIENT_NAME__', null, 3, 4, 0, 2032, 0, 0, 0, NULL, NULL, NULL, 'CLIENT_NAME', NULL);                                                                                                                                                                                                                
print r;
exec :r:= SP_I_COL('Asset Name', 		'SC_CRI_ASSET_NAME___', null, 3, 4, 0, 2032, 0, 0, 0, NULL, NULL, NULL, 'ASSET_NAME', NULL);                                                                                                                                                                                                                  
print r;
exec :r:= SP_I_COL('Change Request States', 	'SC_CRI_CR_STAGE_ID__', null, 3, 7, 0, 16, 0, 0, 0, null, null, '19', 'STAGE_ID', null);
print r;
exec :r:= SP_I_COL('Risk States', 		'SC_CRI_RISK_STAGE_ID', null, 3, 7, 0, 32, 0, 0, 0, null, null, '99', 'STAGE_ID', null);
print r;
exec :r:= SP_I_COL('Issue States', 		'SC_CRI_ISS_STAGE_ID_', null, 3, 7, 0, 64, 0, 0, 0, null, null, '106', 'STAGE_ID', null);
print r;
exec :r:= SP_I_COL('Requirement States', 	'SC_CRI_REQ_STAGE_ID_', null, 3, 7, 0, 128, 0, 0, 0, null, null, '105', 'STAGE_ID', null);
print r;
exec :r:= SP_I_COL('Defect States', 		'SC_CRI_DEF_STAGE_ID_', null, 3, 7, 0, 256, 0, 0, 0, null, null, '115', 'STAGE_ID', null);
print r;
exec :r:= SP_I_COL('Service Request States',	'SC_CRI_SR_STAGE_ID__', null, 3, 7, 0, 512, 0, 0, 0, null, null, '116', 'STAGE_ID', null);
print r;
exec :r:= SP_I_COL('Action Item States', 	'SC_CRI_AI_STAGE_ID__', null, 3, 7, 0, 1024, 0, 0, 0, null, null, '136', 'STAGE_ID', null);
print r;
exec :r:= SP_I_COL('Element Name', 		'SC_DOCS_ELEMENT_NAME', null, 4, 4, 0, 6144, 0, 0, 0, null, null, null, 'ELEMENT_NAME', null);
print r;
exec :r:= SP_I_COL('Reference Number', 	'SC_DOCS_REF_NUMBER__', null, 4, 4, 0, 2048, 0, 0, 0, NULL, NULL, NULL, 'REF_NUMBER', NULL);                                                                                                                                                                                                            
print r;
exec :r:= SP_I_COL('Document Number', 	'D_ELEMENT_NUMBER____', null, 4, 2, 0, 2048, 0, 0, 0, NULL, NULL, NULL, 'ELEMENT_NUMBER', NULL);                                                                                                                                                                                                         
print r;
exec :r:= SP_I_COL('Document States', 	'SC_DOC_STAGE_ID_____', null, 4, 7, 0, 2048, 0, 0, 0, null, null, '108', 'STAGE_ID', null);
print r;
exec :r:= SP_I_COL('Note Minute States', 	'SC_NOTE_STAGE_ID____', null, 4, 7, 0, 4096, 0, 0, 0, null, null, '118', 'STAGE_ID', null);
print r;