
--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/

DROP TABLE LEV_CAL_TREE;

DROP TABLE LEV_INPUT_DATA;

DROP TABLE LEV_INPUT_ASS_DATA;

DROP TABLE LEV_ACT_UIDS;

DROP TABLE LEV_RES_UIDS;

DROP TABLE PMO_TMP_PROJECTS_00;

DROP TABLE LEV_CIRC_1;

DROP TABLE LEV_CIRC_2;

DROP TABLE LEV_CIRC_3;

DROP TABLE LEV_TMT_WBS;

DROP TABLE PMO_TMP_TA_02;

DROP TABLE PMO_TMP_TDYD;

DROP TABLE LEV_WHATIF_PA;

DROP TABLE LEV_WHATIF_WBS;

DROP TABLE PMO_TMP_TDY_LEVEL;

DROP TABLE PMO_TMP_MIN_MAX;

DROP TABLE PMO_TMP_PA_CNTR;

DROP TABLE PMO_TMP_PA_SUM;

DROP TABLE LEV_PROJECT_ASSIGNMENT;

DROP TABLE LEV_TMP_LOCKED;

DROP TABLE PMO_TMP_PROJECTS_ALL;

DROP TABLE LEV_ALL_PROJECTS;

DROP TABLE PMO_TMP_PROJECTS_ALL_X;

DROP TABLE PMO_TMP_PROJECTS_00_X;

DROP TABLE LEV_ALL_PROJECTS_X;

Prompt ==  LEV_CAL_TREE == (C:\PMORACLE\DATABASE\CSP\LEV_INPUTDATADB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_CAL_TREE
(
	ELEMENT_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32)
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_INPUT_DATA == (C:\PMORACLE\DATABASE\CSP\LEV_INPUTDATADB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_INPUT_DATA
(
	SEQ_NUM_RECORDS NUMBER(10),
	ROW_TYPE NUMBER(5),
	RANK VARCHAR2(192),
	WBS_CODE VARCHAR2(255),
	WBS_RANK_ORDER VARCHAR2(192),
	LEVEL_ID NUMBER(5),
	SORT_ELEMENT_TYPE NUMBER(5),
	PROJECT_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	ELEMENT_ID VARCHAR2(32),
	ELEMENT_NAME VARCHAR2(255),
	TYPE_ID NUMBER(5),
	ELEMENT_TYPE NUMBER(5),
	PRIORITY NUMBER(10),
	CONSTRAINT_TYPE NUMBER(5),
	CONSTRAINT_DATE DATE,
	CONSTRAINT_DATE_IND NUMBER(5),
	UNRESOLVED_START TIMESTAMP,
	UNRESOLVED_FINISH TIMESTAMP,
	UNRESOLVED_DURATION NUMBER(10),
	ACTUAL_START TIMESTAMP,
	ACTUAL_START_IND NUMBER(5),
	ACTUAL_FINISH TIMESTAMP,
	ACTUAL_FINISH_IND NUMBER(5),
	ACTUAL_DURATION NUMBER(10),
	ASSIGN_COUNT NUMBER(10),
	MILESTONE_PERCENT NUMBER(10),
	SCHED_DURATION NUMBER(10),
	IS_EXTERNAL VARCHAR2(1),
	DEP_TYPE NUMBER(5),
	LEAD_OR_LAG_TYPE NUMBER(5),
	AMOUNT NUMBER(10)
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_INPUT_ASS_DATA == (C:\PMORACLE\DATABASE\CSP\LEV_INPUTDATADB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_INPUT_ASS_DATA
(
	SEQ_NUM_RECORDS NUMBER(10),
	TASK_ID VARCHAR2(32),
	TSK_ASSIGNMENT_ID VARCHAR2(32),
	RESOURCE_ID VARCHAR2(32),
	PROPOSED_WORK NUMBER(10),
	REMAINING_WORK NUMBER(10),
	ACTUAL_START TIMESTAMP,
	ACTUAL_START_IND NUMBER(5),
	ACTUAL_FINISH TIMESTAMP,
	ACTUAL_FINISH_IND NUMBER(5),
	WORK_TODATE NUMBER(10),
	LAST_SUBMITTED DATE,
	LAST_SUBMITTED_IND NUMBER(5),
	C_CONTOUR NUMBER(10),
	CONTOUR_TYPE NUMBER(10),
	C_EFFORT NUMBER(10),
	UNITS_MSP NUMBER(10),
	UNRESOLVED_START TIMESTAMP,
	UNRESOLVED_START_IND NUMBER(5),
	UNRESOLVED_FINISH TIMESTAMP,
	UNRESOLVED_FINISH_IND NUMBER(5),
	UNRESOLVED_DURATION NUMBER(10),
	ASSIGNMENT_DELAY NUMBER(10)
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_ACT_UIDS == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_ACT_UIDS
(
	SEQUENT_ID VARCHAR2(7),
	ELEMENT_ID VARCHAR2(32),
	TYPE_ID NUMBER(5)
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_RES_UIDS == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_RES_UIDS
(
	SEQUENT_ID VARCHAR2(7),
	RESOURCE_ID VARCHAR2(32),
	TYPE_ID NUMBER(5)
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_TMP_PROJECTS_00 == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_TMP_PROJECTS_00
(
	LEVEL_ID NUMBER(5),
	PRIORITY NUMBER(5),
	ELEMENT_ID VARCHAR2(32),
	RANK VARCHAR2(192),
	START_FINISH_DATE DATE
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_CIRC_1 == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_CIRC_1
(
	SEQ_NUM_RECORDS NUMBER(10),
	WBS_CODE_1 VARCHAR2(255),
	ELEMENT_ID_1 VARCHAR2(32),
	TYPE_ID_1 NUMBER(5),
	LEVEL_ID_1 NUMBER(10)
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_CIRC_2 == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_CIRC_2
(
	SEQ_NUM_RECORDS NUMBER(10),
	WBS_CODE_2 VARCHAR2(255),
	ELEMENT_ID_2 VARCHAR2(32),
	TYPE_ID_2 NUMBER(5),
	LEVEL_ID_2 NUMBER(10)
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_CIRC_3 == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_CIRC_3
(
	SEQ_NUM_RECORDS NUMBER(10),
	WBS_CODE_3 VARCHAR2(255),
	ELEMENT_ID_3 VARCHAR2(32),
	TYPE_ID_3 NUMBER(5),
	LEVEL_ID_3 NUMBER(10)
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_TMT_WBS == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_TMT_WBS
(
	PROJECT_ID VARCHAR2(32),
	RANK VARCHAR2(192),
	ELEMENT_ID VARCHAR2(32),
	LEVEL_ID NUMBER(5),
	PRIORITY NUMBER(10),
	CALC_PRIORITY NUMBER(10),
	TYPE_ID NUMBER(5),
	MINUTE_PER_DAY NUMBER(5),
	PLANNED_DURATION NUMBER(10),
	SCHED_DURATION NUMBER(10),
	PROPOSED_START TIMESTAMP,
	START_DT TIMESTAMP,
	ACTUAL_START TIMESTAMP,
	UNRESOLVED_START TIMESTAMP,
	UNRESOLVED_FINISH TIMESTAMP,
	UNRESOLVED_DURATION NUMBER(10),
	CONSTRAINT_TYPE NUMBER(10),
	CONSTRAINT_DT TIMESTAMP,
	LEVEL_CONSTRAINT_TYPE NUMBER(10),
	LEVEL_CONSTRAINT_DT VARCHAR2(26),
	LEVEL_STATE NUMBER(10),
	LEVEL_INDEX NUMBER(10),
	LEVEL_CONFLICT VARCHAR2(4000),
	LEVEL_START TIMESTAMP,
	LEVEL_FINISH TIMESTAMP,
	LEVEL_DURATION NUMBER(10),
	TOTAL_SLACK NUMBER(10),
	TASK_TYPE NUMBER(10),
	ROLLUP_BITS NUMBER(10) DEFAULT 0
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_TMP_TA_02 == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_TMP_TA_02
(
	TSK_ASSIGNMENT_ID VARCHAR2(32),
	PROJECT_ASSIGNMENT_ID VARCHAR2(32),
	TASK_ID VARCHAR2(32)
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_TMP_TDYD == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_TMP_TDYD
(
	TSK_ASSIGNMENT_ID VARCHAR2(32),
	DAY_YEAR DATE
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_WHATIF_PA == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_WHATIF_PA
(
	PROJECT_ID VARCHAR2(32),
	LEVEL_START DATE,
	LEVEL_FINISH DATE
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_WHATIF_WBS == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_WHATIF_WBS
(
	PROJECT_ID VARCHAR2(32),
	LEVEL_START DATE,
	LEVEL_FINISH DATE
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_TMP_TDY_LEVEL == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_TMP_TDY_LEVEL
(
	PROJECT_ID VARCHAR2(32),
	TASK_ID VARCHAR2(32),
	RESOURCE_ID VARCHAR2(32),
	PRIORITY NUMBER(5),
	ACTUAL_FLAG NUMBER(5),
	TSK_ASSIGNMENT_ID VARCHAR2(32),
	DAY_YEAR DATE,
	SCHED_MIN NUMBER(10),
	BIT_FLAG VARCHAR2(1),
	BIT_SCHED RAW(36),
	PROJ_ASSIGN_FLAG NUMBER(5)
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_TMP_MIN_MAX == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_TMP_MIN_MAX
(
	MIN_DATE DATE,
	MAX_DATE DATE,
	MINUTE_PER_DAY NUMBER(5),
	START_DATE TIMESTAMP,
	FINISH_DATE TIMESTAMP,
	DURATION NUMBER(10)
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_TMP_PA_CNTR == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_TMP_PA_CNTR
(
	TSK_ASSIGNMENT_ID VARCHAR2(32),
	START_DT TIMESTAMP,
	FINISH_DT TIMESTAMP,
	CONTOUR_TYPE NUMBER(10),
	C_CONTOUR NUMBER(10),
	C_EFFORT NUMBER(10),
	C_UNIT NUMBER(10),
	UNITS_MSP NUMBER(10)
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_TMP_PA_SUM == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_TMP_PA_SUM
(
	DAY_YEAR DATE,
	SCHED_MIN NUMBER(10)
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_PROJECT_ASSIGNMENT == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_PROJECT_ASSIGNMENT
(
	PROJECT_ID VARCHAR2(32),
	RESOURCE_ID VARCHAR2(32),
	LEVEL_PLANNED_START TIMESTAMP,
	LEVEL_PLANNED_FINISH TIMESTAMP,
	LEVEL_SCHED_START TIMESTAMP,
	LEVEL_SCHED_FINISH TIMESTAMP
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_TMP_LOCKED == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_TMP_LOCKED
(
	PROJECT_ID VARCHAR2(32),
	LEVEL_LOCK NUMBER(10),
	SCENARIO_DATETIME TIMESTAMP
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_TMP_PROJECTS_ALL == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_TMP_PROJECTS_ALL
(
	ELEMENT_ID VARCHAR2(32),
	RANK VARCHAR2(192)
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_ALL_PROJECTS == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_ALL_PROJECTS
(
	LEVEL_ID NUMBER(5),
	PRIORITY NUMBER(5),
	ELEMENT_ID VARCHAR2(32),
	RANK VARCHAR2(192),
	START_FINISH_DATE DATE
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_TMP_PROJECTS_ALL_X == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_TMP_PROJECTS_ALL_X
(
	ELEMENT_ID VARCHAR2(32),
	RANK VARCHAR2(192)
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_TMP_PROJECTS_00_X == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_TMP_PROJECTS_00_X
(
	LEVEL_ID NUMBER(5),
	PRIORITY NUMBER(5),
	ELEMENT_ID VARCHAR2(32),
	RANK VARCHAR2(192)
) ON COMMIT PRESERVE ROWS;

Prompt ==  LEV_ALL_PROJECTS_X == (C:\PMORACLE\DATABASE\CSP\LEV_RESOLVEDEPENDENCESDB.CPP)
CREATE GLOBAL TEMPORARY TABLE LEV_ALL_PROJECTS_X
(
	LEVEL_ID NUMBER(5),
	PRIORITY NUMBER(5),
	ELEMENT_ID VARCHAR2(32),
	RANK VARCHAR2(192)
) ON COMMIT PRESERVE ROWS;

