
--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/

-- CPLAN TEMPORARY TABLE INDEXES

DROP   INDEX PMO_TMP_CPLN_0005_ID1; 
CREATE INDEX PMO_TMP_CPLN_0005_ID1 ON PMO_TMP_CPLN_0005 (RES_ID ASC); 

DROP INDEX IDX_RID06;
CREATE INDEX IDX_RID06 ON PMO_TMP_CPLN_0006 (RES_ID);

DROP   INDEX PMO_TMP_CPLN_0007_ID1; 
CREATE INDEX PMO_TMP_CPLN_0007_ID1 ON PMO_TMP_CPLN_0007 (RANK ASC); 

DROP   INDEX PMO_TMP_CPLN_007A_ID1; 
CREATE INDEX PMO_TMP_CPLN_007A_ID1 ON PMO_TMP_CPLN_007A (RANK ASC); 

DROP   INDEX PMO_TMP_CPLN_0003_ID1;   
CREATE INDEX PMO_TMP_CPLN_0003_ID1 ON PMO_TMP_CPLN_0003 (RESOURCE_ID ASC);   

DROP   INDEX PMO_TMP_CPLN_0002_ID1;  
CREATE INDEX PMO_TMP_CPLN_0002_ID1 ON PMO_TMP_CPLN_0002 (PROJECT_ASSIGNMENT_ID ASC);  

DROP INDEX PMO_TMP_CPLN_0001_ID1;          
CREATE INDEX PMO_TMP_CPLN_0001_ID1 ON PMO_TMP_CPLN_0001 (RESOURCE_ID ASC);          

DROP INDEX PMO_TMP_ASGNDRES_INFO_ID1; 
CREATE INDEX PMO_TMP_ASGNDRES_INFO_ID1 ON PMO_TMP_ASGNDRES_INFO (RESOURCE_ID ASC); 

DROP INDEX PMO_TMP_PROF_INFO_ID1; 
CREATE INDEX PMO_TMP_PROF_INFO_ID1 ON PMO_TMP_PROF_INFO (PROFILE_ID ASC); 

DROP INDEX PMO_TMP_RES_DATA_ID1;
CREATE INDEX PMO_TMP_RES_DATA_ID1 ON PMO_TMP_RES_DATA (RESOURCE_ID ASC);

DROP INDEX PMO_TMP_RES_SET_ID1;  
CREATE INDEX PMO_TMP_RES_SET_ID1 ON PMO_TMP_RES_SET (RESOURCE_ID ASC);  

DROP INDEX PMO_TMP_PRJ_INFO_ID1;
CREATE INDEX PMO_TMP_PRJ_INFO_ID1 ON PMO_TMP_PRJ_INFO (RESOURCE_ID ASC);

DROP INDEX PMO_TMP_RES_INFO_ID1;
CREATE INDEX PMO_TMP_RES_INFO_ID1 ON PMO_TMP_RES_INFO (RESOURCE_ID ASC);

DROP INDEX PMO_TMP_RTA_ID1;   
CREATE INDEX PMO_TMP_RTA_ID1 ON PMO_TMP_RTA (RESOURCE_ID ASC);   

DROP INDEX PMO_TMP_CP_PRJ_ID1; 
CREATE INDEX PMO_TMP_CP_PRJ_ID1 ON PMO_TMP_CP_PRJ (RESOURCE_ID ASC); 

DROP INDEX PMO_TMP_RESOURCE_DATA_ID1;  
CREATE INDEX PMO_TMP_RESOURCE_DATA_ID1 ON PMO_TMP_RESOURCE_DATA (RESOURCE_ID ASC);  

-- End of CPLAN Temporary Table Indexes 


-- CPLAN_FUN TEMPORARY TABLE INDEXES

DROP   INDEX PMO_TMP_RES_RATE_ID1; 
CREATE INDEX PMO_TMP_RES_RATE_ID1 ON PMO_TMP_RES_RATE (RES_ID ASC); 

DROP   INDEX PMO_TMP_TDY_ID1; 
CREATE INDEX PMO_TMP_TDY_ID1 ON PMO_TMP_TDY (DAY_YEAR ASC); 

DROP   INDEX PMO_TMP_CPLNF_0001_ID1; 
CREATE INDEX PMO_TMP_CPLNF_0001_ID1 ON PMO_TMP_CPLNF_0001 (DAY_YEAR ASC); 

DROP   INDEX PMO_TMP_SEARCH_ID1; 
CREATE INDEX PMO_TMP_SEARCH_ID1 ON PMO_TMP_SEARCH (RES_ID ASC); 

DROP INDEX PMO_TMP_CDY_ID1; 
CREATE INDEX PMO_TMP_CDY_ID1 ON PMO_TMP_CDY (DAY_YEAR ASC); 

DROP INDEX PMO_TMP_RES_ID1; 
CREATE INDEX PMO_TMP_RES_ID1 ON PMO_TMP_RES (YEAR_OF ASC,WEEK_OF ASC); 

DROP INDEX PMO_TMP_EVERY_ID1; 
CREATE INDEX PMO_TMP_EVERY_ID1 ON PMO_TMP_EVERY (YEAR_OF , MONTH_OF, WEEK_OF); 

DROP INDEX PMO_TMP_MD_ID1; 
CREATE INDEX PMO_TMP_MD_ID1 ON PMO_TMP_MD (YEAR_OF ASC,MONTH_OF ASC);

DROP INDEX PMO_WBS_VIEW_ID1; 
CREATE INDEX PMO_WBS_VIEW_ID1 ON PMO_WBS_VIEW (ELEMENT_ID ASC);

DROP INDEX PMO_DOC_VIEW_ID1; 
CREATE INDEX PMO_DOC_VIEW_ID1 ON PMO_DOC_VIEW (ELEMENT_ID ASC);

DROP INDEX PMO_CRI_VIEW_ID1; 
CREATE INDEX PMO_CRI_VIEW_ID1 ON PMO_CRI_VIEW (ELEMENT_ID ASC);

DROP INDEX PMO_CRI_AT_ID1; 
CREATE INDEX PMO_CRI_AT_ID1 ON PMO_CRI_AT (ELEMENT_ID ASC);

--added for portal page
DROP INDEX PMO_PORTAL_PGCNT_IDX1; 
CREATE INDEX PMO_PORTAL_PGCNT_IDX1 ON PMO_PORTAL_PAGE_COUNTER (ELEMENT_ID);

DROP INDEX PMO_PORTAL_PGDET_IDX1;
CREATE INDEX PMO_PORTAL_PGDET_IDX1 ON PMO_PORTAL_PAGE_DET (TYPE_ID);

-- New indexes added in 7.0

DROP INDEX IND_PMOPVTW_PRJID;
CREATE INDEX IND_PMOPVTW_PRJID ON PMO_PVT_WORK_MONTHLY  (PROJECT_ID);

DROP INDEX IND_PMOPVTW_TSK_ID;
CREATE INDEX IND_PMOPVTW_TSK_ID ON PMO_PVT_WORK_MONTHLY  (TASK_ID);

DROP INDEX IND_PMOPVT_RES_RID;
CREATE INDEX IND_PMOPVT_RES_RID ON PMO_PVT_RESOURCES  (RESOURCE_ID);

DROP INDEX IND_PMOPVTW_PRJID_TSK_ID;
CREATE INDEX IND_PMOPVTW_PRJID_TSK_ID ON PMO_PVT_WORK_MONTHLY  (PROJECT_ID, RESOURCE_ID);
    
DROP INDEX IND_PMOPVT_FC;
CREATE INDEX IND_PMOPVT_FC ON PMO_PVT_FISCAL_CALENDAR  (FISCAL_MONTH_START,FISCAL_MONTH_FINISH);         
    
DROP INDEX PMO_DOC_VIEW_ID2;
CREATE INDEX PMO_DOC_VIEW_ID2 ON PMO_DOC_VIEW  (STAGE_ID);

DROP INDEX PMO_DOC_VIEW_ID3;
CREATE INDEX PMO_DOC_VIEW_ID3 ON PMO_DOC_VIEW  (ELEMENT_ID,PROJECT_ID);

DROP INDEX PMO_DOC_VIEW_ID4;
CREATE INDEX PMO_DOC_VIEW_ID4 ON PMO_DOC_VIEW  (RANK);

DROP INDEX PMO_DOC_VIEW_ID5;
CREATE INDEX PMO_DOC_VIEW_ID5 ON PMO_DOC_VIEW  (STAGE_ID,TYPE_ID);  

DROP INDEX PMO_DOC_VIEW_ID6;
CREATE INDEX PMO_DOC_VIEW_ID6 ON PMO_DOC_VIEW  (PROJECT_ID,TYPE_ID);  
      
DROP INDEX TMP_DOC_VIEW_PROJ_ID1;
CREATE INDEX TMP_DOC_VIEW_PROJ_ID1 ON TMP_DOC_VIEW_PROJECTS_LIST (ELEMENT_ID);

DROP INDEX PMO_CRI_DOC_VRK;
CREATE INDEX PMO_CRI_DOC_VRK ON PMO_CRI_DOC_VIEW  (RANK);

DROP INDEX PMO_TMP_PROJECTS_ID1;
CREATE INDEX PMO_TMP_PROJECTS_ID1 ON PMO_TMP_PROJECTS_01 (ELEMENT_ID);

