set echo on
SET AUTOCOMMIT ON

spool logs/step1.log

exec set_dateformat;
COMMIT;



DROP INDEX TKDYR_PTDY_XX;
CREATE  INDEX TKDYR_PTDY_XX ON TASK_DAY_OF_YEAR (PROJECT_ID ASC,TASK_ID ASC,DAY_YEAR ASC) TABLESPACE PMO_IDX_64K;


alter table EXTERNAL_ACTION_MONITOR add  workflow_id varchar2(32);
alter table EXTERNAL_ACTION_MONITOR add  foreign_id varchar2(32);
alter table EXTERNAL_ACTION_MONITOR add  foreign_table_type number(5) default 0;
alter table EXTERNAL_ACTION_MONITOR add  rec_user varchar2(32);
alter table TMT_WORKFLOW_CYCLES modify ( element_name varchar2(100));
ALTER TABLE TMT_WORKFLOWS MODIFY ( ELEMENT_NAME VARCHAR2(100) );

-- this update deactive all admin task that transfered to another pool 
Update tmt_wbs
set type_id = 314
where type_id = 313 and
element_id in
(select w.element_id
from tmt_wbs w,tmt_wbs w2
where w.rank like '/PL#%' 
and (w.type_id = 313 ) and
W.POOL_Id <> W.ELEMENT_ID AND
w.pool_id = w2.element_id and
w2.pool_id = w2.element_id and
SUBSTR(W.RANK,1,length(w.rank) - 12)<>SUBSTR(W2.RANK,1,length(w2.rank) - 8));


-- this script will deactivate all transfered admin task when the resource moved to other pool and then moved back

UPDATE TMT_WBS
SET TYPE_ID = 314
WHERE TYPE_ID = 313 AND
ELEMENT_ID IN
(SELECT W1.ELEMENT_ID
FROM TMT_WBS W1,TMT_WBS W2
WHERE W1.TYPE_ID = 313 AND
(W1.RANK <> W2.RANK) AND
(W1.POOL_ID = W2.POOL_ID) AND
(SUBSTR(W1.RANK,1,LENGTH(W1.RANK)-4) = SUBSTR(W2.RANK,1,LENGTH(W2.RANK)-4)) 
AND W1.RANK NOT IN
(SELECT MAX(W3.RANK)
FROM TMT_WBS W3,TMT_WBS W4
WHERE W3.POOL_ID = W1.POOL_ID AND
W3.TYPE_ID IN ( 313,314) AND
(W3.RANK <> W4.RANK) AND
(W3.POOL_ID = W4.POOL_ID) AND
(SUBSTR(W3.RANK,1,LENGTH(W3.RANK)-4) = SUBSTR(W4.RANK,1,LENGTH(W4.RANK)-4)) ));


--this update is only for RUP 2003 projects that were impoirted as templates The updates can only applied to the databases
-- where RUP 2003 import has been done.

update PROJECT_DETAILS
set ATTACHMENT_VIEW_BITS = 126
where project_id ='D8E753BDA8A94591B9D239EE4A266E43';


update PROJECT_DETAILS
set ATTACHMENT_VIEW_BITS = 126
where project_id ='E6794110E05740FF9A135F252503CC2A';


update PROJECT_DETAILS
set ATTACHMENT_VIEW_BITS = 126
where project_id ='1024FAADB0F740708093191BCB77A7DA';


-- fix duplicate records in tmt_settings
DELETE FROM TMT_SETTINGS WHERE ELEMENT_ID = 'NUM_OF_BATCH_ALERTS_TO_SEND_____';

INSERT INTO TMT_SETTINGS(LEVEL_ID,TYPE_ID,MAX_RANK,CHILD_COUNT,DELETED_COUNT,ELEMENT_ID,ELEMENT_NAME,PARENT_ID,REC_USER,REC_STATUS,REC_DATETIME,RANK,SETTING_VALUE,DESCRIPTION)
VALUES(0,1,0,0,0,'NUM_OF_BATCH_ALERTS_TO_SEND_____',null,null,'PMO_SUPERVISOR','I','2003-04-28 20:13:28.093002','0000000j',100,'');

UPDATE TMT_SETTINGS
SET RANK = '00000011'
WHERE ELEMENT_ID='NUM_OF_BATCH_ALERTS_TO_SEND_____';

DROP INDEX TSG_EIDRANK;
CREATE UNIQUE INDEX TSG_EIDRANK ON TMT_SETTINGS
		(ELEMENT_ID ASC,
		 RANK ASC) TABLESPACE PMO_IDX_64K;



UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.2.2.3'
WHERE ELEMENT_ID = 'CLIENT_VERSION_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.2.2.3'
WHERE ELEMENT_ID = 'APPLICATION_VERSION';  	

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.6.2.138'
WHERE ELEMENT_ID = 'SERVER_BUILD_NUMBER'; 

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.6.2.208', DESCRIPTION = '6.6.2.208'
WHERE ELEMENT_ID = 'CLIENT_BUILD_NUMBER';



COMMIT;
spool off

exit;
