
--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/

set echo off
WHENEVER SQLERROR EXIT SQL.SQLCODE

SET SERVEROUTPUT ON
SET SERVEROUTPUT ON SIZE 1000000

define own=&1

define con=&2

spool logs/createpmosyn.log

connect &con

DECLARE
CURSOR DROP_SYN_CUR IS SELECT 'DROP SYNONYM ' || SYNONYM_NAME AS COMMAND
    FROM USER_SYNONYMS WHERE TABLE_OWNER=UPPER('&own');
CURSOR CR_SYN_CUR IS SELECT 'CREATE SYNONYM '
    || OBJECT_NAME || ' FOR &own' || '.' || OBJECT_NAME AS COMMAND
    FROM DBA_OBJECTS WHERE OWNER=UPPER('&own')
    AND OBJECT_TYPE IN ('TABLE','SEQUENCE','PACKAGE','FUNCTION','PROCEDURE','TYPE');  

BEGIN
FOR DROP_SYN_REC IN DROP_SYN_CUR LOOP
	DBMS_OUTPUT.PUT_LINE('CMD = '||DROP_SYN_REC.COMMAND);
    EXECUTE IMMEDIATE DROP_SYN_REC.COMMAND;   
END LOOP;

FOR CR_SYN_REC IN CR_SYN_CUR LOOP
	DBMS_OUTPUT.PUT_LINE('CMD = '||CR_SYN_REC.COMMAND);
    EXECUTE IMMEDIATE CR_SYN_REC.COMMAND; 
END LOOP;
COMMIT;

END;
/
spool off;
exit;

